=== python/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#------------------------------------------------------------------------

#========================================================================
# Traverse the tree
#========================================================================

add_subdirectory(source)
add_subdirectory(python3)
