=== python/python3/CMakeLists.txt ===
include( ${CMAKE_SOURCE_DIR}/python/source/build_rules.cmake )

BuildRules( PYTHON3 3 python3 )
