=== debian/changelog ===
ldas-tools-framecpp-swig (2.6.14-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Mon, 11 Jul 2022 08:56:56 -0700

ldas-tools-framecpp-swig (2.6.13-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Fri, 17 Jun 2022 14:37:21 -0700

ldas-tools-framecpp-swig (2.6.12-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Wed, 29 Sep 2021 13:50:37 -0700

ldas-tools-framecpp-swig (2.6.11-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Fri, 13 Aug 2021 07:40:19 -0700

ldas-tools-framecpp-swig (2.6.10-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Tue, 09 Mar 2021 17:04:45 -0800

ldas-tools-framecpp-swig (2.6.9-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Wed, 14 Aug 2019 11:54:53 -0700

ldas-tools-framecpp-swig (2.6.8-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Sat, 02 Feb 2019 08:09:27 -0800

ldas-tools-framecpp-swig (2.6.7-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Tue, 08 Jan 2019 10:08:40 -0800

ldas-tools-framecpp-swig (2.6.6-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Thu, 06 Dec 2018 16:54:35 -0800

ldas-tools-framecpp-swig (2.6.5-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Tue, 27 Nov 2018 13:44:23 -0700

ldas-tools-framecpp-swig (2.6.4-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Mon, 27 Aug 2018 16:20:16 -0700

ldas-tools-framecpp-swig (2.6.3-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Fri, 6 Jul 2018 14:28:29 -0700

ldas-tools-framecpp-swig (2.6.2-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Wed, 27 Jun 2018 08:36:48 -0700

ldas-tools-framecpp-swig (2.6.1-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Tue, 22 Jun 2018 21:59:58 -0700

ldas-tools-framecpp-swig (2.6.0-1) unstable; urgency=low

  * Initial release

 -- Edward Maros <ed.maros@ligo.org>  Tue, 19 Jun 2018 20:51:43 -0700
