=== debian/control ===
Source: ldas-tools-framecpp-swig
Section: lscsoft
Priority: optional
Maintainer: Edward Maros <ed.maros@ligo.org>
Homepage: "https://wiki.ligo.org/Computing/LDASTools"
Build-Depends:
    debhelper (>= 9),
    dh-python,
    cmake,
    gawk,
    pkg-config,
    libsqlite3-dev,
    swig (>= 3.0.7),
    python3,
    python3-dev,
    python3-numpy,
    ldas-tools-al-swig (>= 2.6.10),
    python3-ldas-tools-al (>= 2.6.10),
    ldas-tools-cmake (>= 1.2.3),
    ldas-tools-framecpp-dev (>= 2.9.1)
Standards-Version: 4.1.1
X-Python3-Version: >= 3.2

#========================================================================
Package:      ldas-tools-framecpp-swig
Section:      lscsoft
Architecture: any
Depends:
    ldas-tools-al-swig (>= 2.6.10),
    ldas-tools-framecpp-dev (>= 2.9.1),
    ${misc:Depends},
    ${python3:Depends}
Conflicts: ldas-tools-framecpp-dev (< 2.6.0 )
Description: SWIG interface for the LDAS Tools frameCPP library
    This package provides the SWIG header files describing the extension
    interface to the LDAS Tools frameCPP library

#========================================================================
Package:      python3-ldas-tools-framecpp
Section:      python
Architecture: any
Depends:
    python3-ldas-tools-al (>= 2.6.10),
    ldas-tools-framecpp (>= 2.9.1),
    python3-numpy,
    ${misc:Depends},
    ${python3:Depends}
Provides: ldas-tools-framecpp-python3
Conflicts: ldas-tools-framecpp-python3
Replaces: ldas-tools-framecpp-python3
Description: Pyton 3 binding for the LDAS Tools frameCPP library
    This package provides the python 3 language extensions to
    LDAS Tools frameCPP library.
